| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Attributes | List of all members
ARParamLTf Struct Reference

Structure holding camera parameters, in lookup table form; floating point version. More...

`#include <param.h>`

## Public Attributes
float * | i2o
| Ideal-to-observed; for the location in the array corresponding to the idealised location, gives the location in the observed image.
float * | o2i
| Observed-to-ideal; for the location in the array corresponding to the observed location, gives the location in the idealised image.
int | xsize
| The number of pixels in the array's x dimension, including the offset areas on the left and right sides, i.e. ARParam.xsize + xOff*2.
int | ysize
| The number of pixels in the array's x dimension, including the offset areas on the top and bottom.xsize, i.e. ARParam.ysize + yOff*2.
int | xOff
| The number of pixels from the left edge of the array to column zero of the input.
int | yOff
| The number of pixels from the top edge of the array to row zero of the input.

## Detailed Description

Structure holding camera parameters, in lookup table form; floating point version.

See also
  ARParamLT

## Member Data Documentation

## ◆ i2o

float* ARParamLTf::i2o

Ideal-to-observed; for the location in the array corresponding to the idealised location, gives the location in the observed image.

## ◆ o2i

float* ARParamLTf::o2i

Observed-to-ideal; for the location in the array corresponding to the observed location, gives the location in the idealised image.

## ◆ xOff

int ARParamLTf::xOff

The number of pixels from the left edge of the array to column zero of the input.

## ◆ xsize

int ARParamLTf::xsize

The number of pixels in the array's x dimension, including the offset areas on the left and right sides, i.e. ARParam.xsize + xOff*2.

## ◆ yOff

int ARParamLTf::yOff

The number of pixels from the top edge of the array to row zero of the input.

## ◆ ysize

int ARParamLTf::ysize

The number of pixels in the array's x dimension, including the offset areas on the top and bottom.xsize, i.e. ARParam.ysize + yOff*2.

The documentation for this struct was generated from the following file:

- Source/ARX/AR/include/ARX/AR/param.h